Package lxml :: Module etree :: Class _ElementIterator

[hide private]
[frames] | no frames]

# Class _ElementIterator

            object --+
                     |
    _ElementTagMatcher --+
                         |
                        _ElementIterator

Known Subclasses:
  AncestorsIterator, ElementChildIterator, SiblingsIterator

Instance Methods | [hide private]

__iter__(...) |

__new__(T, S, ...) Returns: a new object with type S, a subtype of T |

__next__(...) |

next(x) Returns: the next value, or raise StopIteration |

Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__init__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__str__`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __new__(T, S, ...)

Returns:

      a new object with type S, a subtype of T

Overrides: _ElementTagMatcher.__new__

### next(x)

Returns:

      the next value, or raise StopIteration